clear 
capture log close
#delimit ;

set more off;

version 10.0;
log using ConradISQConstrainedConcessions.log, replace;

*************************************************************;
*     File-Name:  ConradISQConstrainedConcessions.do        *;
*     Date:       December 9, 2009                          *;
*     Author:     CR Conrad                                 *;
*************************************************************;

*************************************************************;
*  Replication files for December 2011 Revisions for ISQ    *;
*************************************************************;

use "ConradISQData.dta";

tsset cowcode year;

*************************************************************;
*                   Generating Variables                    *;
*************************************************************;

gen legoppinflatc=leg_opp*inflat_c;
gen nooppinflatc=no_opp*inflat_c;
gen partyoppinflatc=party_opp*inflat_c;

gen lag_calpercapita=l.calpercapita;
gen lag_empinx=l.empinx;
gen lag_physint2=l.physint;

gen legoppstructadimpl2=leg_opp*structadimpl2;
gen nooppstructadimpl2=no_opp*structadimpl2;
gen partyoppstructadimpl2=party_opp*structadimpl2;

*************************************************************;
*                          3SLS                             *;
*************************************************************;

**Inflation**;

reg3 (calpercapita leg_opp inflat_c legoppinflatc party_opp partyoppinflatc
lag_calpercapita WB_gdp95 WB_pop resource aid_gdp militarydictator civiliandictator 
empinx physint2)
(empinx leg_opp inflat_c legoppinflatc party_opp partyoppinflatc
lag_empinx WB_gdp95 WB_pop resource aid_gdp militarydictator civiliandictator 
calpercapita physint2)
(physint2 leg_opp inflat_c legoppinflatc party_opp partyoppinflatc
lag_physint2 WB_gdp95 WB_pop resource aid_gdp militarydictator civiliandictator conflict 
calpercapita empinx);

**Structural Adjustment**;

reg3 (calpercapita leg_opp structadimpl2 legoppstructadimpl2 party_opp partyoppstructadimpl2
lag_calpercapita WB_gdp95 WB_pop resource aid_gdp militarydictator civiliandictator 
empinx physint2)
(empinx leg_opp structadimpl2 legoppstructadimpl2 party_opp partyoppstructadimpl2
lag_empinx WB_gdp95 WB_pop resource aid_gdp militarydictator civiliandictator 
calpercapita physint2)
(physint2 leg_opp structadimpl2 legoppstructadimpl2 party_opp partyoppstructadimpl2
lag_physint2 WB_gdp95 WB_pop resource aid_gdp militarydictator civiliandictator conflict 
calpercapita empinx);

*************************************************************;

log close;
